summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2014-10-25 15:33:44 +0000
committerKarl Berry <karl@freefriends.org>2014-10-25 15:33:44 +0000
commit343e1b1998de58c396efb4d2aced822714bbf682 (patch)
tree791875a289d5638728987e4b3482be8ed07f0926
parent9acced1ed8cbbbead5f5dcd6bec6a058f372e881 (diff)
objc needed on macs; check early for wrapper dirs
git-svn-id: svn://tug.org/texlive/trunk@35438 c570f23f-e606-0410-a88d-b1316a301751
-rwxr-xr-xBuild/source/Build7
-rwxr-xr-xMaster/tlpkg/bin/check-wrapper-consistency3
2 files changed, 7 insertions, 3 deletions
diff --git a/Build/source/Build b/Build/source/Build
index efe904dd660..2389a106968 100755
--- a/Build/source/Build
+++ b/Build/source/Build
@@ -59,12 +59,13 @@ fi
if test "x$1" = x--debug || test "x$1" = x-g; then
shift
# The idea is that with Build -g, you can set TL_COMPILER_GFLAGS in
- # the environment with options common to all compilers.
- # Not necessarily anything to do with debugging, e.g., -mcpu=sparvc9.
+ # the environment with options common to all compilers --
+ # not necessarily anything to do with debugging, e.g., -mcpu=sparvc9.
: ${TL_COMPILER_GFLAGS=-g}
c="CFLAGS='$TL_COMPILER_GFLAGS'"
cxx="CXXFLAGS='$TL_COMPILER_GFLAGS'"
- TL_BUILD_ENV="$c $cxx $TL_BUILD_ENV"
+ objcxx="OBJCXXFLAGS='$TL_COMPILER_GFLAGS'" # needed only on macs
+ TL_BUILD_ENV="$c $cxx $objcxx $TL_BUILD_ENV"
fi
# allow override of configure location.
diff --git a/Master/tlpkg/bin/check-wrapper-consistency b/Master/tlpkg/bin/check-wrapper-consistency
index c693b2e5bb8..97c6e4eeaa7 100755
--- a/Master/tlpkg/bin/check-wrapper-consistency
+++ b/Master/tlpkg/bin/check-wrapper-consistency
@@ -128,6 +128,9 @@ sub list_shell_scripts {
my $Work_linked_scripts = "$Work/texk/texlive/linked_scripts";
my $Work_tl_scripts = "$Work/texk/texlive/tl_scripts";
+ -d "$Work_linked_scripts"||die "no linked_scripts dir: $Work_linked_scripts";
+ -d "$Work_tl_scripts" || die "no tl_scripts dir: $Work_tl_scripts";
+
# use make; ensure we get only the last line, although that should be
# all there is.
my $lst = `make -s -C $Work_linked_scripts echo-shell-scripts | tail -1`;